using System;
using ReactiveUI;

namespace detect.gui.Models;

public class UserModel : ReactiveObject
{
    private long _id;

    public long Id
    {
        get => _id;
        set => this.RaiseAndSetIfChanged(ref _id, value);
    }
    
    private string? _realName;
    
    public string? RealName
    {
        get => _realName;
        set => this.RaiseAndSetIfChanged(ref _realName, value);
    }
    
    private string? _username;
    
    public string? Username
    {
        get => _username;
        set => this.RaiseAndSetIfChanged(ref _username, value);
    }
    
    private string? _password;
    
    public string? Password
    {
        get => _password;
        set => this.RaiseAndSetIfChanged(ref _password, value);
    }
    public UserModel()
    {
        this.WhenAnyValue(x => x.Username).Subscribe(v =>
        {
        });
    }
}